De update brengt het spel naar versie 1.11 en verhelpt onder andere het vastlopen van het spel door de "gamex86.dll"-error. Oude save-games zullen nog gewoon blijven werken na de update. Om de patch te kunnen installeren moet de speler versie  1.1 van het spel hebben.